/*
  Copyright 2021 Kakao Corp.

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
import org.jetbrains.kotlin.gradle.tasks.KotlinCompile


plugins {
    id("com.android.library")
    id("kotlin-android")
}

apply(from = "../open/libraries.gradle")
apply(from = "../open/dependencies.gradle.kts")


dependencies {
    implementation("androidx.recyclerview:recyclerview:1.1.0")
    api(project(":partner-common"))
    api(project(":partner-talk"))

    implementation("androidx.appcompat:appcompat:1.2.0")
    implementation("org.jetbrains.kotlin:kotlin-stdlib:${Versions.kotlin}")
    implementation("androidx.constraintlayout:constraintlayout:2.0.4")
    implementation("org.apache.commons:commons-lang3:3.8.1")

}

tasks.withType<KotlinCompile> {
    kotlinOptions {
        jvmTarget = "1.8"
    }
}
android {
    buildFeatures.viewBinding = true
}
